[Overview][Types][Classes][Index] | Reference for unit 'LazCanvas' (#lcl)

# TLazCanvas.create

Constructor for the class instance.

## Declaration

Source position: lazcanvas.pas line 121

`public constructor TLazCanvas.create(`
`AnImage: TFPCustomImage`
`);`

## Arguments

`AnImage` |  | Screen image for the control rendered on the canvas.

## Description

Create is the constructor for the class instance. Create calls the inherited constructor using AnImage as an argument.

Create allocates resources for the GraphicStateList property. Create sets the value for the HasNoImage member to True when AnImage has not been assigned (contains Nil).

## See also

TLazCanvas.HasNoImage |  | Indicates if a valid image was provided in the constructor.